# Ds\Deque::push

(PECL ds >= 1.0.0)

Ds\Deque::push — Ajoute des valeurs à la fin du deque

### Description

public Ds\Deque::push(mixed `...$values`): void

Ajoute les valeurs à la fin du deque.

### Liste de paramètres

`values`

  Les valeurs à ajouter.

### Valeurs de retour

Aucune valeur n'est retournée.

### Exemples

Exemple #1 Exemple de Ds\Deque::push()

`<?php
$deque = new \Ds\Deque();
$deque->push("a");
$deque->push("b");
$deque->push("c", "d");
$deque->push(...["e", "f"]);
print_r($deque);
?>`

Résultat de l'exemple ci-dessus est similaire à :

    Ds\Deque Object
    (
        [0] => a
        [1] => b
        [2] => c
        [3] => d
        [4] => e
        [5] => f
    )